Name:          dav1d
Version:       1.1.0
Release:       1mamba
Summary:       An AV1 cross-platform decoder, open-source, and focused on speed and correctness
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.videolan.org/videolan/dav1d
Source:        https://code.videolan.org/videolan/dav1d.git/%{version}/dav1d-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: scons
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
An AV1 cross-platform decoder, open-source, and focused on speed and correctness.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An AV1 cross-platform decoder, open-source, and focused on speed and correctness

%description -n lib%{name}
An AV1 cross-platform decoder, open-source, and focused on speed and correctness.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/dav1d

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libdav1d.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/dav1d
%{_includedir}/dav1d/*.h
%{_libdir}/libdav1d.so
%{_libdir}/pkgconfig/dav1d.pc
%doc NEWS README.md

%changelog
* Tue Feb 14 2023 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
